<?php
/*
播放器管理模型
method:
	add:添加一个播放器
	modify:修改一个已有的播放器资料
	delete:删除一个指定编号的播放器
	
*/
class PlayerModel extends DBModel {
	public $_name = VODCMS_PLAYER;
	public function init(){
		
	}
	public function Add($POST){
		if (is_array($POST)){
			if (empty($POST['name'])){
				$this->error = _('播放器名称不能为空!');
				return false;
			}
			if (empty($POST['tag'])){
				$this->error = _('播放器唯一标记不能为空!');
				return false;
			}
			if (empty($POST['player'])){
				$this->error = _('播放器代码不能为空!');
				return false;
			}
			systemlog::set($this->_DB, $this->_Response->getSession('admin'), '添加了名称为'.$POST['name'].'的播放器');
			return  $this->_DB->insert($this->_name, $POST);
		}else{
			$this->error = _('传入ADD方法参数必须为数组!');
			return false;
		}
	}
	/*
	获取所有播放器记录
	*/
	public function getAll($where = null){
		$select = $this->_DB->select();
		$sql = $select->from($this->_name)->where($where)->toString();
		return $this->_DB->fetAll($sql);
	}
	/*
	获取一行指定条件记录
	*/
	public function getRow($where){
		$select = $this->_DB->select();
		$sql = $select->from($this->_name)->where($where)->toString();
		return $this->_DB->fetRow($sql);
	}
	/*
	修改播放器资料
	*/
	public function modify($POST){
		if (is_array($POST)){
			if (empty($POST['name'])){
				$this->error = _('播放器名称不能为空!');
				return false;
			}
			if (empty($POST['tag'])){
				$this->error = _('播放器唯一标记不能为空!');
				return false;
			}
			if (empty($POST['player'])){
				$this->error = _('播放器代码不能为空!');
				return false;
			}
			systemlog::set('修改了名称为'.$POST['name'].'的播放器');
			return  $this->_DB->update($this->_name, $POST, 'id='.(int)$POST['id']);
		}else{
			$this->error = _('传入ADD方法参数必须为数组!');
			return false;
		}
	}
	/*
	删除指定编号的播放器资料
	*/
	public function delete($id){
		$row = $this->getRow('id='.$id);
		$name = $row['name'];
		systemlog::set('删除了名称为'.$name.'的播放器');
		$this->_DB->delete($this->_name,'id='.$id);
	}
	/*
	获取影片播放器
	@param stirng $tag
	return string
	*/
	public function getPlayer($tag){
		$row = $this->getRow(array('tag' => $tag));
		if ($row['id']){
			return $row['player'];
		}else{
			exit('未找到对应标记的播放器信息!'.$tag);
		}
	}
}